## golang-github-smallstep-truststore 0.9.6

=== Makefile ===
all:
	go build -o bin/truststore cmd/truststore/main.go

clean:
	rm -rf bin

.PHONY: all clean

=== debian/changelog ===
golang-github-smallstep-truststore (0.9.6-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + golang-github-smallstep-truststore-dev: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 23 Nov 2022 22:49:27 +0000

golang-github-smallstep-truststore (0.9.6-2) unstable; urgency=medium

  * Team Upload.
  * Source-only upload for testing migration

 -- Nilesh Patra <nilesh@debian.org>  Wed, 16 Jun 2021 18:17:46 +0530

golang-github-smallstep-truststore (0.9.6-1) unstable; urgency=medium

  * Initial release (Closes: #989677)

 -- Peymaneh Nejad <p.nejad@posteo.de>  Mon, 14 Jun 2021 12:55:48 +0200

=== debian/control ===
Source: golang-github-smallstep-truststore
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Peymaneh Nejad <p.nejad@posteo.de>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-smallstep-truststore
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-smallstep-truststore.git
Homepage: https://github.com/smallstep/truststore
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/smallstep/truststore

Package: golang-truststore
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: Go application for local installation of development certificates
 Go Report Card:
 https://goreportcard.com/report/github.com/smallstep/truststore
 .
 Based on https://github.com/FiloSottile/mkcert

Package: golang-github-smallstep-truststore-dev
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Go library for local installation of development certificates
 Documentation:
 https://godoc.org/github.com/smallstep/truststore
 .
 Go Report Card:
 https://goreportcard.com/report/github.com/smallstep/truststore
 .
 Based on https://github.com/FiloSottile/mkcert

## golang-github-smallstep-truststore 0.12.0

=== debian/changelog ===
golang-github-smallstep-truststore (0.12.0-2) unstable; urgency=medium

  * Source only upload for testing migration

 -- Peymaneh <peymaneh@posteo.net>  Sun, 11 Dec 2022 16:19:22 +0100

golang-github-smallstep-truststore (0.12.0-1) unstable; urgency=medium

  * Updating maintainer info
  * Updating Standards-Version
  * New upstream version 0.12.0
  * d/control: rename binary package

 -- Peymaneh <peymaneh@posteo.net>  Mon, 28 Nov 2022 14:08:35 +0100

## golang-github-smallstep-truststore 0.12.1

=== Makefile ===
# Set V to 1 for verbose output from the Makefile
Q=$(if $V,,@)
SRC=$(shell find . -type f -name '*.go')

all: lint test build

ci: test

.PHONY: all ci

#########################################
# Build
#########################################

build:
	$Q go build -o bin/truststore cmd/truststore/main.go

.PHONY: build

#########################################
# Bootstrapping
#########################################

bootstra%:
	$Q curl -sSfL https://raw.githubusercontent.com/golangci/golangci-lint/master/install.sh | sh -s -- -b $$(go env GOPATH)/bin v1.49.0
	$Q go install golang.org/x/vuln/cmd/govulncheck@latest
	$Q go install gotest.tools/gotestsum@v1.8.1

.PHONY: bootstrap

#########################################
# Test
#########################################

test:
	$Q $(GOFLAGS) gotestsum -- -coverpkg=./... -coverprofile=coverage.out -covermode=atomic ./...

race:
	$Q $(GOFLAGS) gotestsum -- -race ./...

.PHONY: test race

#########################################
# Linting
#########################################

fmt:
	$Q goimports -local github.com/golangci/golangci-lint -l -w $(SRC)

lint: SHELL:=/bin/bash
lint:
	$Q LOG_LEVEL=error golangci-lint run --config <(curl -s https://raw.githubusercontent.com/smallstep/workflows/master/.golangci.yml) --timeout=30m
	$Q govulncheck ./...

.PHONY: fmt lint

#########################################
# Clean
#########################################

clean:
	rm -rf bin

.PHONY: all clean

=== debian/changelog ===
golang-github-smallstep-truststore (0.12.1-2) unstable; urgency=medium

  * Team upload.
  * No change rebuild for reproduce.d.n

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 04 May 2025 21:33:41 +0200

golang-github-smallstep-truststore (0.12.1-1) unstable; urgency=medium

  * New upstream version 0.12.1

 -- Peymaneh <peymaneh@posteo.net>  Tue, 03 Jan 2023 19:43:19 +0100

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%golang-github-smallstep-truststore-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/" \
  https://github.com/smallstep/truststore/tags .*/v?(\d\S*)\.tar\.gz debian
